## WebKitDOMDOMMimeType WebKitDOMDOMMimeType |

## Functions

gchar * | webkit_dom_dom_mime_type_get_suffixes ()
gchar * | webkit_dom_dom_mime_type_get_description ()
WebKitDOMDOMPlugin * | webkit_dom_dom_mime_type_get_enabled_plugin ()

## Properties

gchar * | description | Read
WebKitDOMDOMPlugin * | enabled-plugin | Read
gchar * | suffixes | Read
gchar * | type | Read

## Types and Values

| WebKitDOMDOMMimeType

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMDOMMimeType

## Description

## Functions

### webkit_dom_dom_mime_type_get_suffixes ()

    gchar *
    webkit_dom_dom_mime_type_get_suffixes (WebKitDOMDOMMimeType *self);

#### Parameters

self | A WebKitDOMDOMMimeType |

#### Returns

A gchar

### webkit_dom_dom_mime_type_get_description ()

    gchar *
    webkit_dom_dom_mime_type_get_description
                                   (WebKitDOMDOMMimeType *self);

#### Parameters

self | A WebKitDOMDOMMimeType |

#### Returns

A gchar

### webkit_dom_dom_mime_type_get_enabled_plugin ()

    WebKitDOMDOMPlugin *
    webkit_dom_dom_mime_type_get_enabled_plugin
                                   (WebKitDOMDOMMimeType *self);

#### Parameters

self | A WebKitDOMDOMMimeType |

#### Returns

A WebKitDOMDOMPlugin.

[transfer full]

## Types and Values

### WebKitDOMDOMMimeType

    typedef struct _WebKitDOMDOMMimeType WebKitDOMDOMMimeType;

## Property Details

### The `“description”` property

      “description”              gchar *

read-only gchar* DOMMimeType:description.

Flags: Read

Default value: ""

### The `“enabled-plugin”` property

      “enabled-plugin”           WebKitDOMDOMPlugin *

read-only WebKitDOMDOMPlugin* DOMMimeType:enabled-plugin.

Flags: Read

### The `“suffixes”` property

      “suffixes”                 gchar *

read-only gchar* DOMMimeType:suffixes.

Flags: Read

Default value: ""

### The `“type”` property

      “type”                     gchar *

read-only gchar* DOMMimeType:type.

Flags: Read

Default value: ""